curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/statements/{statement_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "01K6ST06FJ4T11HRYE78AN7EFG",
"period_start": "2025-09-01",
"period_end": "2025-09-30",
"opening_balance": 15500,
"closing_balance": 15230.5,
"total_credits": 2500,
"total_debits": 2769.5,
"total_fees": 0,
"file_name": "statement_2025_09.pdf",
"file_size_bytes": 128000,
"uploaded_at": "2023-11-07T05:31:56Z"
}
}Retrieve metadata for a bank statement.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/statements/{statement_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "01K6ST06FJ4T11HRYE78AN7EFG",
"period_start": "2025-09-01",
"period_end": "2025-09-30",
"opening_balance": 15500,
"closing_balance": 15230.5,
"total_credits": 2500,
"total_debits": 2769.5,
"total_fees": 0,
"file_name": "statement_2025_09.pdf",
"file_size_bytes": 128000,
"uploaded_at": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique case identifier (ULID format).
Statement metadata.
Show child attributes